Bug 1417646 - Review Request: mingw-wxWidgets3 - MinGW port of the wxWidgets GUI library
Summary: Review Request: mingw-wxWidgets3 - MinGW port of the wxWidgets GUI library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1409744 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 14:05 UTC by Thomas Sailer
Modified: 2019-05-22 11:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-22 01:39:51 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)
Fixed issues, updated to wxWidgets 3.0.4 (18.78 KB, text/x-matlab)
2019-01-04 13:59 UTC, Jan Niklas Hasse
no flags Details

Description Thomas Sailer 2017-01-30 14:05:03 UTC
Spec URL: https://sailer.fedorapeople.org/mingw-wxWidgets3.spec
SRPM URL: https://sailer.fedorapeople.org/mingw-wxWidgets3-3.1.0-1.fc25.src.rpm
Description: MinGW port of the wxWidgets GUI library
Fedora Account System Username: sailer

This is version 3.1 of the wxWidgets library. Version 2.8 is already in fedora, but v3 should be packaged to coexist with 2.8, as is done for the native version

Comment 1 Thomas Sailer 2017-01-30 14:10:35 UTC
*** Bug 1409744 has been marked as a duplicate of this bug. ***

Comment 2 Yaakov Selkowitz 2017-01-30 23:47:34 UTC
Given wxWidgets' typically long development cycles, do we *really* want an unstable version in the distro?  The native (wxGTK3) package is at 3.0.2 with a couple patches.

Comment 3 Thomas Sailer 2017-01-31 01:58:51 UTC
I wondered about it too, Jan Niklas Hasse came up with 3.1.0.

Anyway, I've downgraded it to 3.0.2 now.

Spec URL: https://sailer.fedorapeople.org/mingw-wxWidgets3.spec
SRPM URL: https://sailer.fedorapeople.org/mingw-wxWidgets3-3.0.2-1.fc25.src.rpm

Comment 4 Thomas Sailer 2017-01-31 12:00:43 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/sailer/mingw/build/505673/
(the ppc builders seem to run out of disk space during build)

Comment 5 Jan Niklas Hasse 2017-01-31 12:58:50 UTC
Hi! I've used 3.1.0 as the build failed for me with 3.0.2.

Also 3.0.2 is rather old (October 06, 2014 !!) and 3.1.0 comes with some nice improvements like better hidpi support.

Comment 6 Thomas Sailer 2017-01-31 13:18:29 UTC
(In reply to Jan Niklas Hasse from comment #5)

> Also 3.0.2 is rather old (October 06, 2014 !!) and 3.1.0 comes with some
> nice improvements like better hidpi support.

But the mingw version should track the native version... So then I guess you'd need to petition mainline to update first...

Comment 7 Jan Niklas Hasse 2017-02-13 12:24:02 UTC
If 3.0.2 builds, then I don't have any objections. For the new features I'll just wait till 3.2, hopefully it won't take that long.

Comment 8 Thomas Sailer 2017-02-13 20:13:06 UTC
3.0.2 builds, see the copr repo sailer/mingw

Comment 9 Jan Niklas Hasse 2018-05-28 17:19:13 UTC
Any progress on updating mingw-wxWidgets to 3.0.2?

Comment 10 Thomas Sailer 2018-05-28 19:17:42 UTC
(In reply to Jan Niklas Hasse from comment #9)
> Any progress on updating mingw-wxWidgets to 3.0.2?

It needs a formal review. This review would be in this ticket. As you can see, there is no such review. Feel free to review...

Comment 11 Robert-André Mauchin 🐧 2018-05-29 15:50:42 UTC
 - License should be included with %license, not %doc

%license docs/licence.txt docs/licendoc.txt docs/lgpl.txt docs/gpl.txt

 - Fix the version/release in the %changelog to it is the same as in the header

 - Group: is not needed

Package is approved, please fix the aforementioned issues before import.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file licence.txt is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Public domain", "GPL", "LGPL (v2 or later)", "GPL (v2 or
     later)", "Unknown or generated", "*No copyright* CC0", "*No copyright*
     GPL (v2 or later) (with incorrect FSF address)", "MIT/X11 (BSD like)",
     "NTP", "BSD (4 clause)", "zlib/libpng", "BSD (3 clause)", "GPL (v2 or
     later) (with incorrect FSF address)", "Unicode strict", "*No
     copyright* Apache", "BSD (unspecified)", "*No copyright* Public
     domain". 8123 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/mingw-wxWidgets3/review-
     mingw-wxWidgets3/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 122880 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mingw32-wxWidgets3 , mingw64-wxWidgets3 , mingw32-wxWidgets3-static ,
     mingw64-wxWidgets3-static
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Comment 12 Jan Niklas Hasse 2019-01-04 13:59:27 UTC
Created attachment 1518404 [details]
Fixed issues, updated to wxWidgets 3.0.4

Most patches were already applied. The two that are left, are identical to the ones from the previous source rpm.

I've tested an application built with this package (64 bit, static) and it worked perfectly.

Comment 13 Thomas Sailer 2019-05-11 19:33:28 UTC
Robert, thanks for the review! Sorry I missed this...

But now I can't seem to request a repository:

$ fedpkg request-repo mingw-wxWidgets3 1417646
Could not execute request_repo: The Bugzilla bug's review was approved over 60 days ago

So could you re-approve it?

Thanks,
Thomas

Comment 14 Richard Shaw 2019-05-11 21:34:16 UTC
Was this ever built? I was unaware of this review and created my own wxWindows3 MINGW package...

Comment 15 Robert-André Mauchin 🐧 2019-05-11 22:34:19 UTC
(In reply to Thomas Sailer from comment #13)
> Robert, thanks for the review! Sorry I missed this...
> 
> But now I can't seem to request a repository:
> 
> $ fedpkg request-repo mingw-wxWidgets3 1417646
> Could not execute request_repo: The Bugzilla bug's review was approved over
> 60 days ago
> 
> So could you re-approve it?
> 
> Thanks,
> Thomas

Reapproved.

Comment 16 Igor Raits 2019-05-13 05:49:45 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mingw-wxWidgets3

Comment 17 Fedora Update System 2019-05-13 16:03:04 UTC
mingw-wxWidgets3-3.0.4-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b1b454864d

Comment 18 Fedora Update System 2019-05-13 16:40:44 UTC
mingw-wxWidgets3-3.0.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-78ae973bbb

Comment 19 Fedora Update System 2019-05-14 01:54:00 UTC
mingw-wxWidgets3-3.0.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b1b454864d

Comment 20 Fedora Update System 2019-05-14 04:26:19 UTC
mingw-wxWidgets3-3.0.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-78ae973bbb

Comment 21 Fedora Update System 2019-05-22 01:39:51 UTC
mingw-wxWidgets3-3.0.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2019-05-22 11:31:21 UTC
mingw-wxWidgets3-3.0.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.